@set SNESSDK_HOME=c:\snessdk

@REM Clean
@del *.ps > NUL
@del *.s > NUL
@del *.obj > NUL
@del *.sym > NUL
@del *.smc > NUL
@del snesc\*.ps > NUL
@del snesc\*.s > NUL
@del snesc\*.obj > NUL
@del snesc\*.sym > NUL

@REM Assemble
%SNESSDK_HOME%\bin\816-tcc.exe -Wall -I../include -o bucket.s -c bucket.c
%SNESSDK_HOME%\bin\816-tcc.exe -Wall -I../include -o snesc/input.s -c snesc/input.c
%SNESSDK_HOME%\bin\816-tcc.exe -Wall -I../include -o snesc/init.s -c snesc/init.c
%SNESSDK_HOME%\bin\816-tcc.exe -Wall -I../include -o snesc/graph.s -c snesc/graph.c
%SNESSDK_HOME%\bin\816-tcc.exe -Wall -I../include -o snesc/str.s -c snesc/str.c

@REM Sebastian: I removed this (without affecting the functionality of the 
@REM resulting ROM) because I really don't like a dependency on Python in a 
@REM lower-level dev kit.
@REM 
@REM Optimize ASM files
@REM ..\bin\816-opt.py snesc.ps > snesc.s
@REM ..\bin\816-opt.py input.ps > input.s
@REM ..\bin\816-opt.py init.ps > init.s
@REM ..\bin\816-opt.py graph.ps > graph.s
@REM ..\bin\816-opt.py str.ps > str.s

@REM Compile
%SNESSDK_HOME%\bin\wla-65816.exe -io data.asm data.obj

%SNESSDK_HOME%\bin\wla-65816.exe -io bucket.s bucket.obj
%SNESSDK_HOME%\bin\wla-65816.exe -io snesc/input.s snesc/input.obj
%SNESSDK_HOME%\bin\wla-65816.exe -io snesc/init.s snesc/init.obj
%SNESSDK_HOME%\bin\wla-65816.exe -io snesc/graph.s snesc/graph.obj
%SNESSDK_HOME%\bin\wla-65816.exe -io snesc/str.s snesc/str.obj

@REM Link
%SNESSDK_HOME%\bin\wlalink.exe -dvSo data.obj bucket.obj snesc/input.obj snesc/init.obj snesc/graph.obj snesc/str.obj bucket.smc

@REM Clean
@del *.ps > NUL
@del *.s > NUL
@del *.obj > NUL
@del *.sym > NUL
@del snesc\*.ps > NUL
@del snesc\*.s > NUL
@del snesc\*.obj > NUL
@del snesc\*.sym > NUL

@rem @run.bat