#ifndef PALETTE_H_
#define PALETTE_H_

// A SNES palette contains 256 colours (taking up a total of 512 bytes)
// Each colour is represented using 15 bits as such
// 0BBBBBGG GGGRRRRR
// Note that bit 15 of the first byte is unused, and must be set to 0
// NOTE: the bytes are reversed in the palette, a full red colour entry would be:
// 31, 0
//
// BBBBB = blue intensity, 0-31
// GGGGG = green intensity, 0-31
// RRRRR = red intensity, 0-31

// colours
// 0 - black
// 1 - gray
// 2 - white
// 3 - brown

unsigned char paletteInfo[32] = {
	
	// black
	0, 0, 
	
	// white
	0xFF, 0xFF, 
	
	// brown
	0x07, 0, 
	
	// gray
	0x3B, 0xEF, 
	
	// blue
	0, 0x7C, 
	
	// blue
	0, 0x7C, 
	
	// blue
	0, 0x7C, 
	
	// blue
	0, 0x7C, 
	
	// blue
	0, 0x7C, 
	
	// blue
	0, 0x7C, 
	
	// blue
	0, 0x7C, 
	
	// light blue
	0xE7, 0x7D,
};

#endif